diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_view.sql
new file mode 100644
index 00000000..1086b3cf
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_table.sql
new file mode 100644
index 00000000..d6694411
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_table.sql
@@ -0,0 +1,15 @@
+-- Table: public.test_view_table
+
+-- DROP TABLE public.test_view_table;
+
+CREATE TABLE public.test_view_table
+(
+    col1 integer
+)
+WITH (
+    OIDS = FALSE
+)
+TABLESPACE pg_default;
+
+ALTER TABLE public.test_view_table
+    OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view.sql
new file mode 100644
index 00000000..1086b3cf
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/tests.json
new file mode 100644
index 00000000..ffa98404
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/tests.json
@@ -0,0 +1,70 @@
+{
+  "scenarios": [
+    {
+      "type": "create",
+      "name": "Create Table for view",
+      "endpoint": "NODE-table.obj",
+      "sql_endpoint": "NODE-table.sql_id",
+      "data": {
+        "name": "test_view_table",
+        "check_constraint": [],
+        "coll_inherits": "[]",
+        "columns": [
+          {
+            "name": "col1",
+            "cltype": "integer"
+          }
+        ],
+        "name": "test_view_table",
+        "schema": "public"
+      },
+      "expected_sql_file": "create_table.sql"
+    },
+    {
+      "type": "create",
+      "name": "Create View",
+      "endpoint": "NODE-view.obj",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+        "definition": "select col1 from test_view_table;",
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      },
+      "expected_sql_file": "create_view.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter View",
+      "endpoint": "NODE-view.obj_id",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+        "definition": "select col1 from test_view_table;",
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      },
+      "expected_sql_file": "alter_view.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop view",
+      "endpoint": "NODE-view.obj_id",
+      "data": {
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      }
+    },
+    {
+      "type": "delete",
+      "name": "Drop Table for view",
+      "endpoint": "NODE-table.obj_id",
+      "data": {
+        "name": "test_view_table",
+        "owner": "postgres",
+        "schema": "public"
+      }
+    }
+  ]
+}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/alter_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/alter_view.sql
new file mode 100644
index 00000000..1086b3cf
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/alter_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_table.sql
new file mode 100644
index 00000000..d6694411
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_table.sql
@@ -0,0 +1,15 @@
+-- Table: public.test_view_table
+
+-- DROP TABLE public.test_view_table;
+
+CREATE TABLE public.test_view_table
+(
+    col1 integer
+)
+WITH (
+    OIDS = FALSE
+)
+TABLESPACE pg_default;
+
+ALTER TABLE public.test_view_table
+    OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_view.sql
new file mode 100644
index 00000000..1086b3cf
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/create_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/tests.json
new file mode 100644
index 00000000..ffa98404
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.6_plus/tests.json
@@ -0,0 +1,70 @@
+{
+  "scenarios": [
+    {
+      "type": "create",
+      "name": "Create Table for view",
+      "endpoint": "NODE-table.obj",
+      "sql_endpoint": "NODE-table.sql_id",
+      "data": {
+        "name": "test_view_table",
+        "check_constraint": [],
+        "coll_inherits": "[]",
+        "columns": [
+          {
+            "name": "col1",
+            "cltype": "integer"
+          }
+        ],
+        "name": "test_view_table",
+        "schema": "public"
+      },
+      "expected_sql_file": "create_table.sql"
+    },
+    {
+      "type": "create",
+      "name": "Create View",
+      "endpoint": "NODE-view.obj",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+        "definition": "select col1 from test_view_table;",
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      },
+      "expected_sql_file": "create_view.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter View",
+      "endpoint": "NODE-view.obj_id",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+        "definition": "select col1 from test_view_table;",
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      },
+      "expected_sql_file": "alter_view.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop view",
+      "endpoint": "NODE-view.obj_id",
+      "data": {
+        "name": "testview_12345678",
+        "owner": "postgres",
+        "schema": "public"
+      }
+    },
+    {
+      "type": "delete",
+      "name": "Drop Table for view",
+      "endpoint": "NODE-table.obj_id",
+      "data": {
+        "name": "test_view_table",
+        "owner": "postgres",
+        "schema": "public"
+      }
+    }
+  ]
+}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_view.sql
new file mode 100644
index 00000000..65b3a518
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/alter_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_table.sql
new file mode 100644
index 00000000..13dfdd0d
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_table.sql
@@ -0,0 +1,15 @@
+-- Table: public.test_view_table
+
+-- DROP TABLE public.test_view_table;
+
+CREATE TABLE public.test_view_table
+(
+    col1 integer
+)
+WITH (
+    OIDS = FALSE
+)
+TABLESPACE pg_default;
+
+ALTER TABLE public.test_view_table
+    OWNER to enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view.sql
new file mode 100644
index 00000000..65b3a518
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view.sql
@@ -0,0 +1,10 @@
+-- View: public.testview_12345678
+
+-- DROP VIEW public.testview_12345678;
+
+CREATE OR REPLACE VIEW public.testview_12345678 AS
+ SELECT test_view_table.col1
+   FROM test_view_table;
+
+ALTER TABLE public.testview_12345678
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/tests.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/tests.json
new file mode 100644
index 00000000..93f027ca
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/tests.json
@@ -0,0 +1,70 @@
+{
+  "scenarios": [
+        {
+      "type": "create",
+      "name": "Create Table for view",
+      "endpoint": "NODE-table.obj",
+      "sql_endpoint": "NODE-table.sql_id",
+      "data":{
+            "name":"test_view_table",
+            "check_constraint": [],
+            "coll_inherits": "[]",
+            "columns": [
+                {
+                    "name": "col1",
+                    "cltype": "integer"
+                }
+            ],
+            "name": "test_view_table",
+            "schema": "public"
+        },
+      "expected_sql_file": "create_table.sql"
+    },
+    {
+      "type": "create",
+      "name": "Create View",
+      "endpoint": "NODE-view.obj",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+              "definition": "select col1 from test_view_table;",
+              "name": "testview_12345678",
+              "owner": "enterprisedb",
+              "schema": "public"
+      },
+      "expected_sql_file": "create_view.sql"
+    },
+    {
+      "type": "alter",
+      "name": "Alter View",
+      "endpoint": "NODE-view.obj_id",
+      "sql_endpoint": "NODE-view.sql_id",
+      "data": {
+              "definition": "select col1 from test_view_table;",
+              "name": "testview_12345678",
+              "owner": "enterprisedb",
+              "schema": "public"
+      },
+      "expected_sql_file": "alter_view.sql"
+    },
+    {
+      "type": "delete",
+      "name": "Drop view",
+      "endpoint": "NODE-view.obj_id",
+      "data": {
+              "name": "testview_12345678",
+              "owner": "enterprisedb",
+              "schema": "public"
+      }
+    },
+    {
+      "type": "delete",
+      "name": "Drop Table for view",
+      "endpoint": "NODE-view.obj_id",
+      "data": {
+              "name": "testview_123456781",
+              "owner": "enterprisedb",
+              "schema": "public"
+      }
+    }
+    ]
+}
